- [HTTP request](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/patch#try-it)

Updates an existing notification subscription for a merchant.

### HTTP request

`PATCH https://merchantapi.googleapis.com/notifications/v1/{notificationSubscription.name=accounts/*/notificationsubscriptions/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `notificationSubscription.name` | `string` Output only. The `name` of the notification configuration. Generated by the Merchant API upon creation of a new `NotificationSubscription`. The `account` represents the merchant ID of the merchant that owns the configuration. Format: `accounts/{account}/notificationsubscriptions/{notificationSubscription}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` List of fields being updated. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions#NotificationSubscription`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions#NotificationSubscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).